OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

Profile
Personal Photo
Options
Options
Personal Statement
expertin doesn't have a personal statement currently.
Personal Info
expertin
Age Unknown
Gender Not Set
Location Unknown
Birthday Unknown
Interests
No Information
Statistics
Joined: 16-August 07
Profile Views: 643*
Last Seen: 22nd December 2007 - 11:36 PM
Local Time: Dec 29 2014, 12:55 AM
5 posts (0 per day)
Contact Information
AIM No Information
Yahoo No Information
ICQ No Information
MSN No Information
* Profile views updated each hour

expertin

Members


Topics
Posts
Comments
Friends
My Content
25 Aug 2007
I tried to use Korean locale on Angstrom.
and I had failed V~ery many times.


And Now, That's the result!!
That was Very, Very hard work.



Because Angstrom's GTK+, glib and IceWM have problems to using Asian Locales, I changed them. I used Debian EABI's glib, gtk+, icewm packages.

Now It fully supports Korean! I'm SO SO happy~!
17 Aug 2007
Hi, I'm Using Zaurus C1000 with Angstrom.

When I use Angstrom only for English environment, there's no ploblem,

but when I install 'Korean Locale', I can't use some gtk programs like dillo, xmms.

I think they're based on GTK 1.x, But I'm not sure why.

The Error is : "Gdk ERROR : Undefined Font Type, Aborting.."


I installed these packages for locale -

glibc-binary-localdedata-ko-kr
glibc-binary-localdedata-ko-kr.euckr


And using nabi(xim) for input method.

in addition, I installed a korean fonts, too.



And It's some of my startx script-
#/bin/sh
DISPLAY="localhost:0"
LANG=ko_KR.utf8
LC_ALL=ko_KR.utf8
XMODIFIERS="@im=nabi"
XIM="nabi"
GTK_IM_MODULE="xim"
export DISPLAY LANG LC_ALL
export XMODIFIERS XIM GTK_IM_MODULE
Xfbdev-screen 480x640@270 &
sleep 3
nabi &



Is there any problem with them?

I googled that 'undefined font type' error, but I couldn't find solution about it.

How can I solve the problem?



+++++ P.S++++++
I found some info about that error at Japan Debian User Group. They said when they installed libc6 2.1.3-4 version. they couldn't use japanese locale.
Is it's problem for libc6?
I want to test, but I can't get another version of libc6 at angstrom feed. Angstrom feed have only 2.5-r6 version.
Last Visitors


8 Oct 2009 - 3:07


18 Jul 2009 - 16:03


5 Aug 2008 - 18:20


20 Jun 2008 - 4:44


2 Nov 2007 - 6:27

Comments
Other users have left no comments for expertin.

Friends
There are no friends to display.
RSS Lo-Fi Version Time is now: 28th December 2014 - 07:55 AM